Package org.apache.felix.hc.core.impl.executor.async

## Class AsyncHealthCheckExecutor

- java.lang.Object
- - org.apache.felix.hc.core.impl.executor.async.AsyncHealthCheckExecutor

All Implemented Interfaces:
  `EventListener`, `org.osgi.framework.ServiceListener`

    public class AsyncHealthCheckExecutor
    extends Object
    implements org.osgi.framework.ServiceListener

Runs health checks asynchronously, either via cron or via interval.

### Constructor Summary

Constructors
`AsyncHealthCheckExecutor()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `activate​(org.osgi.framework.BundleContext bundleContext)`
`void` `collectAsyncResults​(List<org.apache.felix.hc.api.execution.HealthCheckMetadata> healthCheckDescriptors, Collection<org.apache.felix.hc.api.execution.HealthCheckExecutionResult> results, HealthCheckResultCache cache)` Called by the main Executor to get results from async HCs
`protected void` `deactivate()`
`void` `serviceChanged​(org.osgi.framework.ServiceEvent event)`
`void` `updateWith​(org.apache.felix.hc.api.execution.HealthCheckExecutionResult result)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AsyncHealthCheckExecutor

    public AsyncHealthCheckExecutor()

### Method Detail

#### activate

    protected final void activate​(org.osgi.framework.BundleContext bundleContext)
                           throws org.osgi.framework.InvalidSyntaxException

Throws:
  `org.osgi.framework.InvalidSyntaxException`

#### deactivate

    protected final void deactivate()

#### serviceChanged

    public void serviceChanged​(org.osgi.framework.ServiceEvent event)

Specified by:
  `serviceChanged` in interface `org.osgi.framework.ServiceListener`

#### collectAsyncResults

    public void collectAsyncResults​(List<org.apache.felix.hc.api.execution.HealthCheckMetadata> healthCheckDescriptors,
                                    Collection<org.apache.felix.hc.api.execution.HealthCheckExecutionResult> results,
                                    HealthCheckResultCache cache)

Called by the main Executor to get results from async HCs

#### updateWith

    public void updateWith​(org.apache.felix.hc.api.execution.HealthCheckExecutionResult result)